<template>
  <div :class="'comp' + (selected ?' selected' :'')">
    <div v-if="instance.x" class="condition">
      <div class="condition-icon">?</div>
      <div class="condition-text">{{instance.x}}</div>
    </div>
    <div v-if="instance.l" class="condition">
      <div class="condition-icon">☰</div>
      <div class="condition-text">{{instance.l}}</div>
    </div>
    <h1>{{ a }}</h1>
    <p> {{ b }}</p>
    <!--<slot />-->

    <!-- <comp :key="c" v-for="c in comps" :title="c" :comps="[]" /> -->
    <!-- <div class="title">Information</div>
    <div class="items">
      <div class="item">
        <div class="name">Path:</div>
        <div class="value">{{ path }}</div>
      </div>
      <div class="item">
        <div class="name">Node:</div>
        <div class="value">{{ node }}</div>
      </div>
      <div class="item">
        <div class="name">Platform:</div>
        <div class="value">{{ platform }}</div>
      </div>
    </div> -->
  </div>
</template>

<script>
  import Comp from './Component'

  export default {
    components: { Comp },
    props:      {
      title:    { type:String },
      comps:    { type:Array },
      a:        { type:String },
      b:        { type:String },
      c:        { type:Array },
      instance: { type:Object, default:function () { return {} } },
      selected: { type:Boolean },
    },
    data () {
      return {
        electron: process.versions.electron,
        name:     this.$route.name,
        node:     process.versions.node,
        path:     this.$route.path,
        platform: require('os').platform(),
        vue:      require('vue/package.json').version,
      }
    },
  }
</script>

<style scoped>
  .comp {
    margin-top: 10px;
    min-height: 2rem;

    background: /* #44505C; */ #FED217;
    border-radius: 10px;

    /*font-size: 14px;*/
    /*font-weight: initial;*/
    /*letter-spacing: .25px;*/ 
    border: 0.14rem solid transparent; /* render same size as selected components, which have border */
  }
  .comp > h1 {
    font-size: 2.2rem;
    padding:12px 12px 0;

    color:#fffffff7;
  }
  .comp > p {
    padding:0 12px 13px;
    font-weight:100;
    color:#ffffffaa;
  }

  .comp.selected {
    border: 0.14rem dashed #777;
    /* background-color:#aaac; */
    opacity:0.7;
  }
  .comp.selected > h1, .comp.selected > p {
    color:#fff;
  }

  .condition { display:flex; border-bottom:1px dashed gray; margin:0 1.5rem; }
  .condition-icon {
    width:5rem;
    padding:1rem;
    font-size:3rem;
    line-height:3rem;
    /* min-height:5rem; */

    background:dodgerblue;
    color:beige;
    font-weight:bold;

    /* margin:-0.8rem; */
    margin:-0.8rem -2.3rem;
    border-radius:2.5rem;
    
    text-align:center;
    vertical-align:middle;
  }
  .condition-text {
    font-size:2rem;
    /* margin:0.5rem 2rem; */
    margin:0.5rem 0 0 3.5rem;
    color:gray;
    
  }
/* 
  .items { margin-top: 8px; }

  .item {
    display: flex;
    margin-bottom: 6px;
  }

  .item .name {
    color: #6a6a6a;
    margin-right: 6px;
  }

  .item .value {
    color: #35495e;
    font-weight: bold;
  } */
</style>
